LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 06-14-2009, 02:45 PM   #2101
Moon
LQ Newbie
 
Registered: May 2009
Posts: 12

Rep: Reputation: 0

Quote:
Originally Posted by bosox View Post
me?? what is your video_player string in its entirety? currently i am using "video_player=mplayer -cache 4096 -autosync 30 -really-quiet %s" with no issues for the most part. i get only audio with "-vo gl2". any idea why?


by the way, the crash when switching from 3000 to 2200 seems to have somehow resolved itself -- can anyone still replicate that issue?
Sorry, Bosox, mistaken identity - in looking back, it was poorboywilly who had experienced better results with the gl2 mplayer module. No idea why no video for you with gl2, as I much more routinely get no video with xv, myself (at least with these streams). Perhaps some devel files missing, such as Mesa ones? Does ./configure claim to find OpenGL ok?

My current video_player string is "video_player=/usr/local/bin/mplayer --profile mlb %s", but if I weren't using profiles, it'd be:

Code:
video_player=/usr/local/bin/mplayer -autosync 30 -cache 8192 -vo gl2 -dr -ao alsa -fs -framedrop -softvol -fixed-vo -panscan 0.8 -really-quiet -geometry 800x450+112+159 %s
A little unwieldy, hence the use of profiles in my ~/.mplayer/config file.

And yes, the switches from 3000K->2200K seem to go far more smoothly now (as to crashes) when nexdef initiates them, and frankly I'm leery of pushing my luck at this stage by requesting one manually. :-/

@knappster: Yes, I'm now seeing much more in the way of drifts out of sync over time than I had been previously (like yours, the audio begins to precede the video); there appears to be a connection with the times when nexdef downshifts speeds and then upshifts back, but it's hard to be sure when running default-to-fullscreen. At least it's stopped for the most part just crashing entirely on those occasions; that's progress, I must admit.

It's also been my experience that unless the stream first starts up with only the briefest of video stutter, such that a very prompt and very quick double-tap on the space bar fixes it, the resultant sync gap will not usually be correctable from within mplayer, and one's only recourse AFAICT is to just restart the stream and try again.

As for the crashes, consider trying the mplayer r29311/ffmpeg r18852 combination, that one seems to me to be considerably more stable overall than svn current has been in handling the nexdef streams.
 
Old 06-15-2009, 05:14 PM   #2102
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,744

Rep: Reputation: 76
Quote:
Originally Posted by dvan View Post
Linux newbie here.

It took me a while but I finally got the mlbviewer working. The video is awesome. But I'm not getting any audio.

I'm using Ubuntu Intrepid it may not have the right codec but I'm not sure how to check. To get the video going I had to install the XV development files, Is there anything like that I have to install for the Audio?

Also I'm looking to install the rtmpdump, but it looks like it's no longer available from SoureForge. Is there another place to get it?
You'll need to rebuild mplayer from source. Make sure you have faac under supported audio codecs and h264 under supported video codecs. Both are covered by ffmpeg that is included in mplayer. It is likely the stock mplayer with ubuntu will not have these enabled by default or have the ffmpeg fixes we received from the ffmpeg team in late April. You'll likely also need alsa libraries (libao or something like that) to make sure mplayer uses alsa. There's probably also a development package for pulseaudio.
 
Old 06-16-2009, 04:02 AM   #2103
Onip
Member
 
Registered: Apr 2008
Posts: 36

Rep: Reputation: 15
Trying to watch Top Plays from 6/15 LAA@SF game I get
Code:
$ python /home/onip/mlbviewer/mlbviewer.py 
Traceback (most recent call last):
  File "/home/onip/mlbviewer/mlbviewer.py", line 1508, in <module>
    curses.wrapper(mainloop, mycfg.data)
  File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "/home/onip/mlbviewer/mlbviewer.py", line 278, in mainloop
    titlewin.addstr(0,pos,'H', curses.A_BOLD)
_curses.error: addstr() returned ERR
while watching highlights from brewers game is ok.
 
Old 06-16-2009, 11:18 AM   #2104
mjbcoug
LQ Newbie
 
Registered: Apr 2009
Location: Spokane, WA
Distribution: Ubuntu (Jaunty)
Posts: 19

Rep: Reputation: 0
another MLB.com change??

Firing up MLBViewer this morning I get:
Code:
There was a parser problem with the listings page
followed by a dump with:

Code:
Traceback (most recent call last):
  File "./mlbviewer.py", line 1508, in <module>
    curses.wrapper(mainloop, mycfg.data)
  File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "./mlbviewer.py", line 388, in mainloop
    + len(coveragetoggle.get(cfg['coverage'])) + 2
UnboundLocalError: local variable 'hd_available' referenced before assignment
My guess is something changed again on the MLB.com end of things. Anybody else getting this? Any ideas?
 
Old 06-16-2009, 04:23 PM   #2105
Wolfvorkian
Member
 
Registered: Sep 2007
Distribution: Arch
Posts: 108

Rep: Reputation: 15
Quote:
Originally Posted by mjbcoug View Post
Firing up MLBViewer this morning I get:
Code:
There was a parser problem with the listings page
followed by a dump with:

Code:
Traceback (most recent call last):
  File "./mlbviewer.py", line 1508, in <module>
    curses.wrapper(mainloop, mycfg.data)
  File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "./mlbviewer.py", line 388, in mainloop
    + len(coveragetoggle.get(cfg['coverage'])) + 2
UnboundLocalError: local variable 'hd_available' referenced before assignment
My guess is something changed again on the MLB.com end of things. Anybody else getting this? Any ideas?
I had exactly the same thing yesterday, and it fixed itself a few minutes before I was going to post here for help like you just did.

I checked a minute or so ago and it is listing the games fine today.
 
Old 06-16-2009, 04:32 PM   #2106
mjbcoug
LQ Newbie
 
Registered: Apr 2009
Location: Spokane, WA
Distribution: Ubuntu (Jaunty)
Posts: 19

Rep: Reputation: 0
Quote:
Originally Posted by Wolfvorkian View Post
I had exactly the same thing yesterday, and it fixed itself a few minutes before I was going to post here for help like you just did.

I checked a minute or so ago and it is listing the games fine today.
Yeah...it's working for me now too. Weird.
 
Old 06-16-2009, 07:04 PM   #2107
danq989
LQ Newbie
 
Registered: Jul 2008
Posts: 11

Rep: Reputation: 0
Parser Error

Quote:
Originally Posted by mjbcoug View Post
Yeah...it's working for me now too. Weird.
Quote:
Originally Posted by mjbcoug View Post
There was a parser problem with the listings page
I'm getting the same error as I type. Any solutions?
---DanQ
 
Old 06-16-2009, 11:56 PM   #2108
jowilkin
LQ Newbie
 
Registered: Jun 2009
Posts: 3

Rep: Reputation: 0
I'm trying to get mlbviewer working, would appreciate any help. I tried to follow the requirements and readme files, but no luck yet. When I try to run the viewer I get this output:
Code:
jowilkin@myth ~ $ mlbviewer.py 
The requirements for the 2009 season have changed.
Please read the REQUIREMENTS-2009.txt file.
So I'm guessing that I haven't successfully completed one of the requirements, but I'm not sure which one. I'm on ubuntu jaunty 32 bit, here's what I've done:
  • I installed from the tarball on sourceforge with the system wide install (python setup.py install).
  • For PyXML, the setuptools program gave me compile errors, but I found the ubuntu package "python-xml" which seems to be the same thing and installed that.
  • Suds was installed using setuptools.
  • Simplejson was installed with the ubuntu package "python-simplejson".
  • I used svn to checkout the latest mplayer and installed it from source with the configure options recommended in the requirements file.
  • Got the autobahn.jar file. Not sure what to do with this. I tried leaving it running the background while launching mlbviewer.py, but not luck.
  • Installed the binary codecs recommended in the requirements file.
  • Created a ~/.mlb directory and moved the MediaService.* files there and created a ~/.mlb/config file with user= and password= lines (containing my username and password).

Not sure where to begin debugging this. Any ideas?
 
Old 06-17-2009, 01:39 AM   #2109
danq989
LQ Newbie
 
Registered: Jul 2008
Posts: 11

Rep: Reputation: 0
Hi there!

Well, I'm not sure what distro you're running, but on my Ubuntu 9.04 desktop install I had to apt-get install python-dev before pyxml would successfully compile/install using "easy_install pyxml".

I don't know if the apt-get versions of python-xml and simplejson are the same as what easy_install pull down, so maybe that is the part of your problems. I'd install all three python packages (pyxml, suds, simplejson) using the method shown in REQUIREMENTS. Also, what version of python do you have installed?

As for autobahn.jar, just start it with "java -jar autobahn.jar" and leave it running. I use Sun JRE 1.6, so I have no idea whether autobahn works correctly with the open-source java runtimes which may be installed by default in your distro.

Also, the ~/.mlb/config file will be created the first time you (successfully) run mlbviewer.py - no need to create your own and it may in fact hurt your cause since mlbviewer won't overwrite an existing config file.

Good luck!

---DanQ

Quote:
Originally Posted by jowilkin View Post
I'm trying to get mlbviewer working, would appreciate any help. I tried to follow the requirements and readme files, but no luck yet. When I try to run the viewer I get this output:
Code:
jowilkin@myth ~ $ mlbviewer.py 
The requirements for the 2009 season have changed.
Please read the REQUIREMENTS-2009.txt file.
So I'm guessing that I haven't successfully completed one of the requirements, but I'm not sure which one. I'm on ubuntu jaunty 32 bit, here's what I've done:
  • I installed from the tarball on sourceforge with the system wide install (python setup.py install).
  • For PyXML, the setuptools program gave me compile errors, but I found the ubuntu package "python-xml" which seems to be the same thing and installed that.
  • Suds was installed using setuptools.
  • Simplejson was installed with the ubuntu package "python-simplejson".
  • I used svn to checkout the latest mplayer and installed it from source with the configure options recommended in the requirements file.
  • Got the autobahn.jar file. Not sure what to do with this. I tried leaving it running the background while launching mlbviewer.py, but not luck.
  • Installed the binary codecs recommended in the requirements file.
  • Created a ~/.mlb directory and moved the MediaService.* files there and created a ~/.mlb/config file with user= and password= lines (containing my username and password).

Not sure where to begin debugging this. Any ideas?
 
Old 06-17-2009, 05:36 AM   #2110
jowilkin
LQ Newbie
 
Registered: Jun 2009
Posts: 3

Rep: Reputation: 0
Quote:
Originally Posted by danq989 View Post
Hi there!

Well, I'm not sure what distro you're running, but on my Ubuntu 9.04 desktop install I had to apt-get install python-dev before pyxml would successfully compile/install using "easy_install pyxml".
Thanks for the tips, I'm on 9.04 as well. I tried installeing the python-dev package, but still get compile errors with easy_install. Here is the beginning of the errors:
Code:
jowilkin@myth ~ $ sudo easy_install pyxml
Searching for pyxml
Reading http://pypi.python.org/simple/pyxml/
Download error: (110, 'Connection timed out') -- Some packages may not be found!
Reading http://pypi.python.org/simple/pyxml/
Reading http://www.python.org/sigs/xml-sig/
Best match: PyXML 0.8.4
Downloading http://downloads.sourceforge.net/pyxml/PyXML-0.8.4.tar.gz?modtime=1101741917&big_mirror=0
Processing PyXML-0.8.4.tar.gz
Running PyXML-0.8.4/setup.py -q bdist_egg --dist-dir /tmp/easy_install-lsQQgv/PyXML-0.8.4/egg-dist-tmp-eHnSOV
warning: no files found matching '*.html' under directory 'extensions/expat'
warning: no files found matching '*Makefile' under directory 'extensions/expat'
warning: no files found matching '*.dsp' under directory 'extensions/expat'
warning: no previously-included files matching '*/CVS/*' found anywhere in distribution
extensions/pyexpat.c:5:20: error: Python.h: No such file or directory
extensions/pyexpat.c:8:21: error: compile.h: No such file or directory
extensions/pyexpat.c:9:25: error: frameobject.h: No such file or directory
extensions/pyexpat.c:63: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
extensions/pyexpat.c:70: error: expected specifier-qualifier-list before ‘PyObject_HEAD’
extensions/pyexpat.c:89: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘Xmlparsetype’
extensions/pyexpat.c:98: error: expected specifier-qualifier-list before ‘PyCodeObject’
extensions/pyexpat.c:108: error: expected ‘)’ before ‘*’ token
extensions/pyexpat.c:123: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
extensions/pyexpat.c: In function ‘have_handler’:
extensions/pyexpat.c:150: error: ‘PyObject’ undeclared (first use in this function)
extensions/pyexpat.c:150: error: (Each undeclared identifier is reported only once
extensions/pyexpat.c:150: error: for each function it appears in.)
extensions/pyexpat.c:150: error: ‘handler’ undeclared (first use in this function)
extensions/pyexpat.c:150: error: ‘xmlparseobject’ has no member named ‘handlers’
extensions/pyexpat.c: At top level:
extensions/pyexpat.c:154: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
extensions/pyexpat.c:201: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
extensions/pyexpat.c:214: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
...
Quote:
Originally Posted by danq989 View Post
Also, what version of python do you have installed?
I have 2.6 installed through aptitude.
 
Old 06-17-2009, 01:45 PM   #2111
itshardertotell
Member
 
Registered: Aug 2008
Posts: 38

Rep: Reputation: 15
hm, i have not used mlbviewer in a little while and now i get an error, saying it can't locate the game stream. it worked two weeks ago. i get this as output:

Quote:
mrks@kmptr:~/mlbviewer-svn$ python mlbviewer.py
Traceback (most recent call last):
File "mlbviewer.py", line 1508, in <module>
curses.wrapper(mainloop, mycfg.data)
File "/usr/lib/python2.5/curses/wrapper.py", line 44, in wrapper
return func(stdscr, *args, **kwds)
File "mlbviewer.py", line 1201, in mainloop
u = g.soapurl()
File "/home/mrks/mlbviewer-svn/MLBviewer/mlbtv.py", line 1179, in soapurl
reply = client.service.find(**soapd)
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 240, in __call__
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 379, in call
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 240, in __call__
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 422, in call
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 480, in invoke
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 505, in send
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/client.py", line 537, in succeeded
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/binding.py", line 140, in get_reply
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/binding.py", line 197, in replycomposite
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 302, in process
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 87, in process
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 103, in append
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 180, in append_children
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 103, in append
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 180, in append_children
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 103, in append
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 180, in append_children
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 103, in append
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 180, in append_children
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 101, in append
File "/usr/lib/python2.5/site-packages/suds-0.3.5-py2.5.egg/suds/bindings/unmarshaller.py", line 323, in start
suds.TypeNotFound: Type not found: 'platform'
can someone help me??

thanks so much!
markus
 
Old 06-17-2009, 02:00 PM   #2112
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,744

Rep: Reputation: 76
Quote:
Originally Posted by Onip View Post
Trying to watch Top Plays from 6/15 LAA@SF game I get
Code:
$ python /home/onip/mlbviewer/mlbviewer.py 
Traceback (most recent call last):
  File "/home/onip/mlbviewer/mlbviewer.py", line 1508, in <module>
    curses.wrapper(mainloop, mycfg.data)
  File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "/home/onip/mlbviewer/mlbviewer.py", line 278, in mainloop
    titlewin.addstr(0,pos,'H', curses.A_BOLD)
_curses.error: addstr() returned ERR
while watching highlights from brewers game is ok.
Heh, I know what this is. Damn, Angels! The title string is too long to display because of that silly name the Angels have adopted. Anaheim isn't even in Los Angeles County!!! Grr! It's almost as silly as saying the New York Giants of New Jersey (do they still play in the Meadowlands?)

I'll fix this probably tomorrow unless I'm struck by insomnia tonight.
 
Old 06-17-2009, 02:06 PM   #2113
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,744

Rep: Reputation: 76
Quote:
Originally Posted by jowilkin View Post
I'm trying to get mlbviewer working, would appreciate any help. I tried to follow the requirements and readme files, but no luck yet. When I try to run the viewer I get this output:
Code:
jowilkin@myth ~ $ mlbviewer.py 
The requirements for the 2009 season have changed.
Please read the REQUIREMENTS-2009.txt file.
So I'm guessing that I haven't successfully completed one of the requirements, but I'm not sure which one. I'm on ubuntu jaunty 32 bit, here's what I've done:
  • I installed from the tarball on sourceforge with the system wide install (python setup.py install).
  • For PyXML, the setuptools program gave me compile errors, but I found the ubuntu package "python-xml" which seems to be the same thing and installed that.
  • Suds was installed using setuptools.
  • Simplejson was installed with the ubuntu package "python-simplejson".
  • I used svn to checkout the latest mplayer and installed it from source with the configure options recommended in the requirements file.
  • Got the autobahn.jar file. Not sure what to do with this. I tried leaving it running the background while launching mlbviewer.py, but not luck.
  • Installed the binary codecs recommended in the requirements file.
  • Created a ~/.mlb directory and moved the MediaService.* files there and created a ~/.mlb/config file with user= and password= lines (containing my username and password).

Not sure where to begin debugging this. Any ideas?
This error message was really meant to get people to read that file who are expecting last year's mlbviewer to just work.

The code that triggers this error is:

Code:
try:
    from xml.dom.minidom import parse
    from suds.client import Client
    from suds import WebFault
except:
    print "The requirements for the 2009 season have changed."
    print "Please read the REQUIREMENTS-2009.txt file."
    sys.exit()
So either pyxml or suds isn't installed correctly.

You can try to figure out which one using the python shell:

Code:
$ python
Python 2.5.2 (r252:60911, Dec  2 2008, 09:26:14)
[GCC 3.4.4 (cygming special, gdc 0.12, using dmd 0.125)] on cygwin
Type "help", "copyright", "credits" or "license" for more information.
>>> from xml.dom.minidom import parse
Repeat for the other two lines in that try: section (the other two that start with "from....")

One of those lines is generating an error and triggering the error message you see.
 
Old 06-17-2009, 02:08 PM   #2114
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,744

Rep: Reputation: 76
Quote:
Originally Posted by danq989 View Post
I'm getting the same error as I type. Any solutions?
---DanQ
Is this resolving itself like with the other two who reported it?

I can look into the code on thursday and see what I can find.
 
Old 06-17-2009, 02:12 PM   #2115
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,744

Rep: Reputation: 76
Quote:
Originally Posted by itshardertotell View Post
hm, i have not used mlbviewer in a little while and now i get an error, saying it can't locate the game stream. it worked two weeks ago. i get this as output:



can someone help me??

thanks so much!
markus
MLB.com changed their SOAP messages slightly (but enough to break mlbviewer.) You'll need to update to either the latest Sourceforge release or the latest SVN revision, copy the new MediaService.xsd to your ~/.mlb, and remove your suds cache (rm -r /tmp/suds).

Refer to this post for more details.
 
  


Reply

Tags
help, install, installation, instructions, seek, vlc, windows


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
mlb.com gameday audio stream statmobile Linux - Newbie 6 05-06-2008 10:16 PM
link dies intermittently-seemingly at random- between win<->linux not linux<->linux?? takahaya Linux - Networking 10 03-09-2007 10:37 PM
triple boot linux/linux/linux No Windows involved toastermaker Linux - Newbie 12 03-02-2006 10:40 PM
Redhat (rhel v2.1) bootup problem with linux (linux vs linux-up) namgor Linux - Software 2 06-24-2004 02:49 PM


All times are GMT -5. The time now is 01:36 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration